/********* MupColleaguePlugin.m Cordova Plugin Implementation *******/

#import <Cordova/CDV.h>
#import <ColleagueCircle/YGFriendsCircleVC.h>

@interface MupColleaguePlugin : CDVPlugin {
  // Member variables go here.
}

- (void)init:(CDVInvokedUrlCommand*)command;
- (void)open:(CDVInvokedUrlCommand*)command;

@end

@implementation MupColleaguePlugin

- (void)init:(CDVInvokedUrlCommand*)command {
    NSString* echo = [command.arguments objectAtIndex:0];

    CDVPluginResult *pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsString:echo];

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

/**
 打开圈主页

 @param command command description
 */
- (void)open:(CDVInvokedUrlCommand *)command {

    YGFriendsCircleVC *vc = [[YGFriendsCircleVC alloc] init];
    vc.getDataType = GetDataTypePersonShare;
    vc.title = @"同事圈";
    vc.hidesBottomBarWhenPushed = YES;
    if (self.viewController.navigationController) {
        [self.viewController.navigationController pushViewController:vc animated:YES];
    } else {
        UINavigationController *navgationController = [[UINavigationController alloc] initWithRootViewController:vc];
        [self.viewController presentViewController:navgationController animated:YES completion:nil];
    }

    CDVPluginResult *pluginResultpluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsString:@"open colleague circle finished!"];
    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

@end
